Subject: bug#63455: 30.0.50; display-buffer-in-direction is always resizing

From: Juri Linkov <[email-masked]>
Date: Fri, 12 May 2023 20:11:00 +0300

> #+begin_src emacs-lisp
> 	(setq alist
> 	      (append alist
> 		      `(,(if temp-buffer-resize-mode
> 		             '(window-height . resize-temp-buffer-window)
> 	                   '(window-height . fit-window-to-buffer))
> 	                ,(when temp-buffer-resize-mode
> 	                   '(preserve-size . (nil . t))))))
> #+end_src
>
> Looking at that it doesn't seem to be intended as a general behavior,
> and the behavior is not a good default IMO - even if it can be
> suppressed by adding a (window-height . nil) entry to the
> `display-buffer' call.
>
> I guess that Bug#45945 could be a symptom of this problem.

Indeed, an unusual default.  Is it possible to change this default now
given there is code that might rely on it already?

In the Emacs source tree most of calls already override the default:
're-builder', 'proced-with-processes-buffer', 'widget-choose',
'xref-show-definitions-buffer-at-bottom' (fixed in bug#45945 as you noted).

But 'ediff-setup-windows-plain-compare' uses the current default.